name: base
channels:
- conda-forge
dependencies:
- traits=6.3.2
- matplotlib-base>=3.6.2
- numpy==1.23.5
- sympy>=1.11.1
- scipy>=1.9.3
- ipywidgets=7.7.0
- ipympl=0.9.2
- jupyterlab=3.2.0
- ipytree=0.2.2
- pandas>=1.5.2
- shapely>=1.8.5
- importlib_resources>=5.10.0
- pip
- pip:
  - anastruct==1.2.0
  - openpyxl==3.0.10
  - bmcs-utils==0.0.34a0
  - bmcs-ibvpy==0.0.29a0
  - bmcs-cross-section==0.0.55a0
  - bmcs-beam==0.0.20a0
